com.impinj.stp

## Enum StpApi.TagOperationResult

- java.lang.Object
- - java.lang.Enum<StpApi.TagOperationResult>
  - - com.impinj.stp.StpApi.TagOperationResult

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.TagOperationResult>
  Enclosing class:
    StpApi

      public static enum StpApi.TagOperationResult
      extends java.lang.Enum<StpApi.TagOperationResult>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.TagOperationResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TAG_OPERATION_RESULT_FAIL`
    `TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG` The device has detected that the Monza R6P memory map was previously configured to a different state than what was requested.
    `TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH` This tag didn't match one of the configured filters.
    `TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES`
    `TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER`
    `TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH` The device has detected that the backscattered EPC does not match the EPC writes that were already performed.
    `TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED`
    `TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN`
    `TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG`
    `TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY` The device has run out of OrderedListEntry_.
    `TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY` The device has run out of serial numbers.
    `TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY`
    `TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED` This tag chip is not supported.
    `TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED` This tag chip is supported, but the corresponding feature key has not been installed.
    `TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED` The device was expecting to see a tag (Single mode), but did not.
    `TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK`
    `TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG` The encoding configuration for this tag was invalid.
    `TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH` There was no TIDTableEntry_ for this tag.
    `TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED` The remaining encoding volume for this tag type has exhausted.
    `TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED` The Volume License for this tag has been revoked.
    `TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED` The upstream performance indicator reported that this tag had poor performance.
    `TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING` Device was configured to expect performance information packet, but did not receive one for this tid
    `TAG_OPERATION_RESULT_PASS`
    `TAG_OPERATION_RESULT_PASS_ALREADY_DONE`
    `TAG_OPERATION_RESULT_RETRY`
    `TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER`
    `TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG`
    `TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY`
    `TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY`
    `TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH`
    `TAG_OPERATION_RESULT_VOID_TAG_FAIL` The device attempted to void the tag and failed to complete the task
    `TAG_OPERATION_RESULT_VOID_TAG_PASS` The device attempted to void the tag, and was successful.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG_VALUE` The device has detected that the Monza R6P memory map was previously configured to a different state than what was requested.
    `static int` | `TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH_VALUE` This tag didn't match one of the configured filters.
    `static int` | `TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH_VALUE` The device has detected that the backscattered EPC does not match the EPC writes that were already performed.
    `static int` | `TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY_VALUE` The device has run out of OrderedListEntry_.
    `static int` | `TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY_VALUE` The device has run out of serial numbers.
    `static int` | `TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED_VALUE` This tag chip is not supported.
    `static int` | `TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED_VALUE` This tag chip is supported, but the corresponding feature key has not been installed.
    `static int` | `TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED_VALUE` The device was expecting to see a tag (Single mode), but did not.
    `static int` | `TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG_VALUE` The encoding configuration for this tag was invalid.
    `static int` | `TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH_VALUE` There was no TIDTableEntry_ for this tag.
    `static int` | `TAG_OPERATION_RESULT_FAIL_VALUE`
    `static int` | `TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED_VALUE` The remaining encoding volume for this tag type has exhausted.
    `static int` | `TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED_VALUE` The Volume License for this tag has been revoked.
    `static int` | `TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED_VALUE` The upstream performance indicator reported that this tag had poor performance.
    `static int` | `TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING_VALUE` Device was configured to expect performance information packet, but did not receive one for this tid
    `static int` | `TAG_OPERATION_RESULT_PASS_ALREADY_DONE_VALUE`
    `static int` | `TAG_OPERATION_RESULT_PASS_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH_VALUE`
    `static int` | `TAG_OPERATION_RESULT_RETRY_VALUE`
    `static int` | `TAG_OPERATION_RESULT_VOID_TAG_FAIL_VALUE` The device attempted to void the tag and failed to complete the task
    `static int` | `TAG_OPERATION_RESULT_VOID_TAG_PASS_VALUE` The device attempted to void the tag, and was successful.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.TagOperationResult>` | `internalGetValueMap()`
    `static StpApi.TagOperationResult` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.TagOperationResult` | `valueOf(int value)`
    `static StpApi.TagOperationResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.TagOperationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAG_OPERATION_RESULT_PASS

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_PASS

    - #### TAG_OPERATION_RESULT_PASS_ALREADY_DONE

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_PASS_ALREADY_DONE

    - #### TAG_OPERATION_RESULT_RETRY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY

    - #### TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER

    - #### TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG

    - #### TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY

    - #### TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH

    - #### TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY

    - #### TAG_OPERATION_RESULT_FAIL

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL

    - #### TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER

    - #### TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG

    - #### TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED

    - #### TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN

    - #### TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES

    - #### TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY

    - #### TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH

      There was no TIDTableEntry_ for this tag.

    - #### TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY

      The device has run out of OrderedListEntry_.

    - #### TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED

      This tag chip is not supported.

    - #### TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED

      This tag chip is supported, but the corresponding feature key has not been installed.

    - #### TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED

      The device was expecting to see a tag (Single mode), but did not.

    - #### TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED

      The remaining encoding volume for this tag type has exhausted.

    - #### TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK

    - #### TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY

      The device has run out of serial numbers.

    - #### TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING

      Device was configured to expect performance information packet, but did not receive one for this tid

    - #### TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED

      The upstream performance indicator reported that this tag had poor performance. This will only come from a tagchip basic verifier who receives a performance report that declares a failure.

    - #### TAG_OPERATION_RESULT_VOID_TAG_PASS

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_VOID_TAG_PASS

      The device attempted to void the tag, and was successful.

    - #### TAG_OPERATION_RESULT_VOID_TAG_FAIL

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_VOID_TAG_FAIL

      The device attempted to void the tag and failed to complete the task

    - #### TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG

      The encoding configuration for this tag was invalid.

    - #### TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH

      This tag didn't match one of the configured filters.

    - #### TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED

      The Volume License for this tag has been revoked. Please contact Impinj Support for assistance.

    - #### TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH

      The device has detected that the backscattered EPC does not match the EPC writes that were already performed.

    - #### TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG

          public static final StpApi.TagOperationResult TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG

      The device has detected that the Monza R6P memory map was previously configured to a different state than what was requested.

  - ### Field Detail

    - #### TAG_OPERATION_RESULT_PASS_VALUE

          public static final int TAG_OPERATION_RESULT_PASS_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_PASS_ALREADY_DONE_VALUE

          public static final int TAG_OPERATION_RESULT_PASS_ALREADY_DONE_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_INSUFFICIENT_POWER_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_NO_RESPONSE_FROM_TAG_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_TID_TABLE_NO_MATCH_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY_VALUE

          public static final int TAG_OPERATION_RESULT_RETRY_ORDERED_LIST_EMPTY_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_INSUFFICIENT_POWER_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_NO_RESPONSE_FROM_TAG_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_LOCKED_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_MEMORY_BANK_MEMORY_OVERRUN_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_GEN2_INSUFFICIENT_PRIVILEGES_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_SERIALIZATION_JOB_QUEUE_EMPTY_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TID_TABLE_NO_MATCH_VALUE

      There was no TIDTableEntry_ for this tag.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_ORDERED_LIST_EMPTY_VALUE

      The device has run out of OrderedListEntry_.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TAG_CHIP_NOT_SUPPORTED_VALUE

      This tag chip is not supported.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TAG_CHIP_SUPPORTED_LICENSE_KEY_NOT_INSTALLED_VALUE

      This tag chip is supported, but the corresponding feature key has not been installed.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TAG_NOT_INVENTORIED_VALUE

      The device was expecting to see a tag (Single mode), but did not.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_VOLUME_EXHAUSTED_VALUE

      The remaining encoding volume for this tag type has exhausted.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TID_PARITY_CHECK_VALUE

      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_SERIAL_NUMBER_RANGE_EMPTY_VALUE

      The device has run out of serial numbers.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_MISSING_VALUE

      Device was configured to expect performance information packet, but did not receive one for this tid
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_VOYANTIC_TEST_RESULT_FAILED_VALUE

      The upstream performance indicator reported that this tag had poor performance. This will only come from a tagchip basic verifier who receives a performance report that declares a failure.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_VOID_TAG_PASS_VALUE

          public static final int TAG_OPERATION_RESULT_VOID_TAG_PASS_VALUE

      The device attempted to void the tag, and was successful.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_VOID_TAG_FAIL_VALUE

          public static final int TAG_OPERATION_RESULT_VOID_TAG_FAIL_VALUE

      The device attempted to void the tag and failed to complete the task
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_TID_TABLE_INVALID_CONFIG_VALUE

      The encoding configuration for this tag was invalid.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_FILTER_NO_MATCH_VALUE

      This tag didn't match one of the configured filters.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_VOLUME_LICENSE_REVOKED_VALUE

      The Volume License for this tag has been revoked. Please contact Impinj Support for assistance.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_INVENTORIED_EPC_MISMATCH_VALUE

      The device has detected that the backscattered EPC does not match the EPC writes that were already performed.
      See Also:
        Constant Field Values

    - #### TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG_VALUE

          public static final int TAG_OPERATION_RESULT_FAIL_CANNOT_CHANGE_MEMORY_MAP_CONFIG_VALUE

      The device has detected that the Monza R6P memory map was previously configured to a different state than what was requested.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.TagOperationResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.TagOperationResult c : StpApi.TagOperationResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.TagOperationResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.TagOperationResult valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.TagOperationResult> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.TagOperationResult valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)